<?
$sub_menu = "400210";
include_once("./_common.php");

auth_check($auth[$sub_menu], "r");

$token		= get_token();

$sql_where	= "where 1";
$sql	= "select count(*) as cnt from $zmb[table_blacklist_bbs] $sql_where";
$row	= sql_fetch($sql);
$total_count = $row[cnt];

$rows		= $config[cf_page_rows];
$total_page  = ceil($total_count / $rows);		// 전체 페이지 계산
if ($page == "") { $page = 1; }					// 페이지가 없으면 첫 페이지 (1 페이지)
$from_record = ($page - 1) * $rows;				// 시작 열을 구함

$sql	= "select * from $zmb[table_blacklist_bbs] $sql_where limit $from_record, $rows";
$result = sql_query($sql);

$g4[title] = "블라인드 게시글";
include_once("./admin.head.php");

$colspan = 6;
?>
<style type="text/css">
.tbl_box	{ border:1px solid #CBCBCB; border-top:2px solid #989898; }
.tbl_box tr th	{ background:#F7F7F7; height:30px; border-right:1px solid #EFEFEF; border-bottom:1px solid #EFEFEF; }
.tbl_box tr th:last-child	{ border-right:0; }
.tbl_box tr td	{ padding:6px; border-right:1px solid #EFEFEF; border-bottom:1px solid #EFEFEF; }
.tbl_box tr td:last-child	{ border-right:0; }
.tbl_box tr:last-child td	{ border-bottom:0; }
div.msg		{ font:normal 11px Dotum; padding:4px; }
span.member:hover	{ text-decoration:underline; }
</style>

<?=subtitle("블라인드 된 게시글")?>
<div class="subtitle_msg">신고 누적으로 블라이드 된 게시글 입니다. 블라인드 된 글은 회원이 열람 할 수 없습니다.</div>

<table width=100% cellpadding=0 cellspacing=1 border=0 class="tbl_box">
<colgroup width=10%>
<colgroup width=10%>
<colgroup width=7%>
<colgroup width=45%>
<colgroup width=13%>
<colgroup width=>
<tr>
    <th>게시판</th>
	<th><?=subject_sort_link("bo_table")?>글쓴이</a></th>
	<th>글번호</th>
    <th>제목</th>
	<th>처리일</th>
    <th></th>
</tr>
<?
while($rd = sql_fetch_array($result)) : 
	$bo_table	= $g4[write_prefix] . $rd[db_table];
	$bbsinfo	= sql_fetch("select * from $bo_table where wr_id='$rd[db_wrid]'");
	$mb			= get_member($bbsinfo[mb_id]);
	$nick		= get_sideview($mb[mb_id], $mb[mb_nick], $mb[mb_email], $mb[mb_homepage]);
	if(!$bbsinfo[mb_id])	
		$nick	="<span class='txtsmall'>(비회원)</span>";

	$no_record	= 0;
	if($bbsinfo[wr_is_comment] == "1")	
		$subject = "[코] ".cut_str($bbsinfo[wr_content], 100);
	else if(!$bbsinfo[wr_id]) {
		$subject = "(해당글은 삭제되어 게시글에 대한 정보가 존재 하지 않습니다.)";
		$no_record	= 1;
	} else 
		$subject = $bbsinfo[wr_subject];

	if($no_record == 0) { $bname = "복구"; $msg	= "< ! >\\n\\n블라인드 된 게시글을 다시 복구합니다."; }
	else				{ $bname = "삭제"; $msg	= "< ! >\\n\\n현재 블라인드 정보를 삭제 합니다."; }
?>
<tr class='list<?=$list?> col1 ht center' onMouseOver="this.style.backgroundColor='#F6F8FA'" onMouseOut="this.style.backgroundColor=''">
	<td><?=$rd[db_table]?></td>
    <td><?=$nick?></td>
	<td><?=$rd[db_wrid]?></td>
	<td align=left><a href="#" onClick="window.open('./zm.report_list.php?table=<?=$rd[db_table]?>&wrid=<?=$rd[db_wrid]?>', 'report', 'width=500, height=600, toolbar=0')"><?=$subject?></a></td>
    <td><?=$rd[db_blockdate]?></td>
    <td><span style="width:70px;"><input type="button" value="<?=$bname?>" class="btn1" onClick="if(confirm('<?=$msg?>')) zm_gourl('./zm.report_process.php?mode=blnd_recover&table=<?=$rd[db_table]?>&wrid=<?=$rd[db_wrid]?>');"></span>
	</td>
</tr>
<? endwhile; ?>
<?
if ($i == 0)
    echo "<tr><td colspan='$colspan' align=center height=100 bgcolor=#ffffff>자료가 없습니다.</td></tr>"; 
?>
<?
//-- 테이블 목록
$temp	= sql_query("select * from $g4[board_table] order by bo_table");
$k		= 0;
while($rd = sql_fetch_array($temp)) { $boardlist[$k] = $rd[bo_table]; $k++; }
?>
<form name="addblnd" method="post" enctype="multipart/form-data" action="./zm.report_process.php">
<input type="hidden" name="mode" value="blnd_add">
<tr>
    <td><select name="table">
<?	for($i = 0; $i < count($boardlist); $i++) : ?>
	<option value="<?=$boardlist[$i]?>"><?=$boardlist[$i]?></option>
<?	endfor; ?>
	</select>
	</td>
	<td></td>
	<td><input name="wrid" size=4 required itemname="게시글 번호:wr_id" title="글번호"></td>
    <td></td>
	<td></td>
    <td align="center"><input type="submit" value="게시글 숨김 추가" class="bttn_common"></td>
</tr>
</form>
</table>
<?
$pagelist = get_paging($config[cf_write_pages], $page, $total_page, "$_SERVER[PHP_SELF]?$qstr&page=");
?>
	<table width=100% cellpadding=3 cellspacing=1>
	<tr>
		<td align=center><?=$pagelist?></td>
	</tr>
	</table>
<?
//-- 신고 된 레코드 수
$tmp	= sql_query("select b.db_table, b.db_wrid from $zmb[table_blacklist_bbs] b, $zmb[table_blacklist_report] r where b.db_table = r.db_table and b.db_wrid = r.db_wrid");
$report_total_count = mysql_num_rows($tmp);
?>
<div class="msg">
	<div>블라인드 된 게시글에 대한 신고 내용이 모두 <?=number_format($report_total_count)?>건 누적 됐습니다.</div>
	<div>신고 내용을 확인 한 후에는 정리(삭제)하면 좋습니다.<br>신고 내용을 정리해도 블라인드 된 게시글에 대한 정보는 유지 됩니다. 
	<input type="button" value="신고내용 정리하기" class="bttn_common" onclick="if(confirm('신고 내용을 정리하면 이미 블라인드 된 게시글의 신고 정보를 제거 합니다.'))zm_gourl('./zm.report_process.php?mode=report_delall&table=<?=$table?>&wrid=<?=$wrid?>')"></div>
</div>

<script language="javascript">
function btn_chk(f, m) {
	var chk = document.getElementsByName("chk[]");

	f.mode.value = m;
	
	var sw = 0;
	for(i=0; i<chk.length; i++) {
		if(chk[i].checked) sw = 1;
	}
	if(!sw) { alert("선택 된 리스트가 없습니다."); return false; }

	f.action	= "./zm.report_process.php";
	f.submit();
}

function chkAlert(th, d) {
	var	s = "";

	if(d == "w") s = "글쓰기";
	if(d == "m") s = "쪽지발송";
	if(d == "f") s = "영구히";
	if(th.checked) alert(s+" 서비스를 제한 합니다.");
}

</script>

<?
include_once("./admin.tail.php");
?>
